Bug 1299295 - [abrt] python-nose: summary.py:116:report:CoverageException: No data to report.
[abrt] python-nose: summary.py:116:report:CoverageException: No data to report.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-nose (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5e10990613eda3381ab404cedd2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 20:53 EST by hmd
Modified: 2016-09-19 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.94 KB, text/plain)
2016-01-17 20:53 EST, hmd
no flags Details
File: environ (1.10 KB, text/plain)
2016-01-17 20:53 EST, hmd
no flags Details

  None (edit)
Description hmd 2016-01-17 20:53:22 EST
Version-Release number of selected component:
python-nose-1.3.7-4.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /bin/nosetests --with-xunit --all-modules --traverse-namespace --with-coverage --cover-package=project1 --cover-inclusive
dso_list:       python-libs-2.7.10-8.fc22.x86_64
executable:     /bin/nosetests
kernel:         4.2.6-201.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            979

Truncated backtrace:
summary.py:116:report:CoverageException: No data to report.

Traceback (most recent call last):
  File "/bin/nosetests", line 9, in <module>
    load_entry_point('nose==1.3.7', 'console_scripts', 'nosetests')()
  File "/usr/lib/python2.7/site-packages/nose/core.py", line 121, in __init__
    **extra_args)
  File "/usr/lib64/python2.7/unittest/main.py", line 95, in __init__
    self.runTests()
  File "/usr/lib/python2.7/site-packages/nose/core.py", line 207, in runTests
    result = self.testRunner.run(self.test)
  File "/usr/lib/python2.7/site-packages/nose/core.py", line 66, in run
    result.printErrors()
  File "/usr/lib/python2.7/site-packages/nose/result.py", line 110, in printErrors
    self.config.plugins.report(self.stream)
  File "/usr/lib/python2.7/site-packages/nose/plugins/manager.py", line 99, in __call__
    return self.call(*arg, **kw)
  File "/usr/lib/python2.7/site-packages/nose/plugins/manager.py", line 167, in simple
    result = meth(*arg, **kw)
  File "/usr/lib/python2.7/site-packages/nose/plugins/cover.py", line 183, in report
    self.coverInstance.stop()
  File "/usr/lib/python2.7/site-packages/coverage/control.py", line 966, in report
    return reporter.report(morfs, outfile=file)
  File "/usr/lib/python2.7/site-packages/coverage/summary.py", line 116, in report
    raise CoverageException("No data to report.")
CoverageException: No data to report.

Local variables in innermost frame:
fmt_name: u'%- 5s  '
outfile: <unittest.runner._WritelnDecorator object at 0x7fa65a8bf490>
self: <coverage.summary.SummaryReporter object at 0x7fa658558b10>
rule: u'-------------------------------------\n'
width100: 3
max_name: 5
header: u'Name    Stmts   Miss  Cover   Missing\n'
writeout: <function <lambda> at 0x7fa6583f9f50>
fmt_err: u'%s   %s: %s\n'
fmt_coverage: u'%- 5s  %6d %6d%6s%%   %s\n'
fmt_skip_covered: u'\n%s file%s skipped due to complete coverage.\n'
total: <coverage.results.Numbers object at 0x7fa65a5472d0>
skipped_count: 0
morfs: []
Comment 1 hmd 2016-01-17 20:53:26 EST
Created attachment 1115719 [details]
File: backtrace
Comment 2 hmd 2016-01-17 20:53:28 EST
Created attachment 1115720 [details]
File: environ
Comment 3 Kevin Fenzi 2016-01-18 16:12:55 EST
Can you attach whatever was in your current directory when you ran this?

Did these tests work in the past?
Comment 4 Fedora End Of Life 2016-07-19 14:39:48 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.